Exception: Authlogic::NilCryptoProvider

Inherits:
InvalidCryptoProvider show all
Defined in:
lib/authlogic/errors.rb

Overview

:nodoc:

Instance Method Summary collapse

Instance Method Details

#messageObject


14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
# File 'lib/authlogic/errors.rb', line 14

def message
  <<~EOS
    In version 5, Authlogic used SCrypt by default. As of version 6, there
    is no default. We still recommend SCrypt. If you previously relied on
    this default, then, in your User model (or equivalent), please set the
    following:

        acts_as_authentic do |c|
          c.crypto_provider = ::Authlogic::CryptoProviders::SCrypt
        end

    Furthermore, the authlogic gem no longer depends on the scrypt gem. In
    your Gemfile, please add scrypt.

        gem "scrypt", "~> 3.0"

    We have made this change in Authlogic 6 so that users of other crypto
    providers no longer need to install the scrypt gem.
  EOS
end